Bug 217278 - Review Request: tcd-utils - TCD (Tide Constituent Database) Utils
Review Request: tcd-utils - TCD (Tide Constituent Database) Utils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On: 217277
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-26 07:25 EST by Mamoru TASAKA
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 10:34:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-11-26 07:25:20 EST
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/packages/xtide/SPECS/tcd-utils.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/packages/xtide/SRPMS/
Description: 
TCD Utils includes:
* build_tide_db to convert harmonics.txt, offsets.xml, and NAVO
  formats to harmonics.tcd;
* restore_tide_db to generate harmonics.txt and offsets.xml from
  harmonics.tcd
Comment 2 Patrice Dumas 2006-11-26 08:09:14 EST
* right name
* license right, COPYING included
* source match upstream
f0d58145520be7eeaf5d78229dae4aa7  tcd-utils-20061120.tar.bz2
* %files right
* rpmlint is silent

APPROVED
Comment 3 Paul F. Johnson 2006-11-26 08:48:36 EST
If the mkdir under install required? make install should do this automatically.
I take it that this built fine in mock as well.
Comment 4 Mamoru TASAKA 2006-11-26 10:34:35 EST
* Rebuild for FE-devel succeeded.
* SyncNeeded is requested for FE5/6.

Now I close this bug as CLOSED NEXTRELEASE. Thank you.

(In reply to comment #3)
> If the mkdir under install required? make install should do this automatically.
> I take it that this built fine in mock as well.
> 
It may be unneeded, however, this is my habit...

Comment 5 Patrice Dumas 2006-11-26 15:13:18 EST
(In reply to comment #4)

> It may be unneeded, however, this is my habit...

If it is unneeded, it is better to leave it out, since less
code means better readability and maintainability, and your 
specs may be used by others as template. Not a blocker, though.
Comment 6 Mamoru TASAKA 2006-11-27 03:24:11 EST
(In reply to comment #5)
> If it is unneeded, it is better to leave it out, since less
> code means better readability and maintainability, and your 
> specs may be used by others as template. Not a blocker, though.

As newer version (20061127) is released, I will check this
version and remove 'mkdir /var/tmp/...' if it is possible (perhaps
possible). Thank you, Patrice and Paul.
Comment 7 Patrice Dumas 2006-11-27 05:55:16 EST
I sent David a patch about setting CPPFLAGS instead of CXXFLAGS
for tideEditor, and he also made that a similar change in tcd-utils.
This should remove a warning in configure.

Note You need to log in before you can comment on or make changes to this bug.